Problem when updating

When I try to update xorgproto 2019.2-2.0 I get this error

error: failed to prepare transaction (could not satisfy dependencies)
:: installing xorgproto (2019.2-2.0) breaks dependency 'presentproto' required by libxpresent

searching online I found a possible solution here

but I get another error

error: target not found: libdmx
error: target not found: libxxf86dga
error: target not found: libxxf86misc

What do I do? I'm using the 32 Bit version

You can check dependencies one by one. For example, see if libxpresent is required:
pacman -Qi libxpresent

If it isn't you can remove presentproto
sudo pacman -Rcsnu presentproto

And so on, so on, repeat the process until you can install xorgproto

Old bug. See this Archlinux announcement from december 2019:

https://www.archlinux.org/news/xorg-cleanup-requires-manual-intervention/

As I said, it gives me errors digiting pacman -Rdd libdmx libxxf86dga libxxf86misc && pacman -Syu

It seems that by removing libxpresent now I can upgrade xorgproto, thx

1 Like

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.

Forum kindly sponsored by